Subject: bug#50264: closed (Re: bug#50264: ca-certificate-bundle fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Sep 2021 16:26:02 +0000

Your bug report

#50264: ca-certificate-bundle fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50264: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50264
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50264: ca-certificate-bundle fails to build
From: Ludovic Courtès <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Wed, 15 Sep 2021 18:25:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Ludovic Courtès <[email-masked]> skribis:

> I’m wondering whether this could be due to
> fa81971cbae85b39183ccf8f51e8d96ac88fb4ac somehow.

Confirmed!  In essence, ‘map/accumulate-builds’ would return the tail of
its ‘lst’ argument unprocessed when cutoff was reached (ouch!).  Fixed:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=f72f4b48c6777da9465ab17baa6762476d6cb270

Let me know if you still experience fishy behavior!

Ludo’.

Subject: ca-certificate-bundle fails to build
From: Lars-Dominik Braun <[email-masked]>
To: [email-masked]
Date: Mon, 30 Aug 2021 10:12:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I’ve seen this multiple times now, most recently with commit
8ef38cd1bf7ec17b8d1bc1c0bcb42ac30ac30406 on a foreign system: Some
operation, here a `guix pack` tries to build ca-certificate-bundle and
it fails the first time, but rerunning the same operation succeeds:

---snip---
-builder for `/gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv' failed with exit code 1
Erstellung von /gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/iq/m2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv.bz2“ eingesehen werden.
cannot build derivation `/gnu/store/riw7sfkl8a5rapyvf6vvh07cwv3nrwil-profile.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv': 1 dependencies couldn't be built
guix pack: Fehler: build of `/gnu/store/l8zdf69zk0pg599gifcyxbd80h676yp1-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv' failed
---snap---

The backtrace looks like this:

---snip---
Backtrace:
           2 (primitive-load "/gnu/store/74i539y9b0bvslk3bk0kc27q76p?")
In ice-9/eval.scm:
    619:8  1 (_ #f)
In unknown file:
           0 (setlocale 6 "en_US.utf8")

ERROR: In procedure setlocale:
In procedure setlocale: Invalid argument
---snap---

Curiously the output path mentioned in the .drv
(/gnu/store/zjbpik3bfhmcamqzixzm1892mqbknnj9-ca-certificate-bundle) does
not exist, even after successfully running the command. Manually
building the driver with `guix build
/gnu/store/iqm2zwq8jrr9gaw5jp4vs42j887aglmk-ca-certificate-bundle.drv`
yields the same error as above, so I’m assuming the profile hook is
simply broken, while `guix pack` does not actually depend on it.

Cheers,
Lars